<div class="ui grid segment">

    <div class="row">
        <div class="column">
            <div class="ui top segment">
                <div class="ui centered huge header">Mission en cours</div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="column">
            <button class="ui fluid massive primary button"
                    [routerLink]="'/victime/declare/' + victimePosteId + '/' + victimeEquipeId">
                Déclarer une victime
            </button>
        </div>
    </div>

    <div class="row">
        <div class="column">
            <div class="ui segments">
                <div class="ui top segment">
                    <div class="ui header">Poste de la mission</div>
                </div>
                <div class="ui secondary segment">
                    <table class="ui table">
                        <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Date début - fin</th>
                            <th>Localisation</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr *ngIf="!poste">
                            <td class="ui header center aligned" colspan="4">
                                Pas de poste en cours !
                            </td>
                        </tr>
                        <ng-container *ngIf="poste">
                            <tr>
                                <td>{{ posteNom }}</td>
                                <td>{{ posteDateDebut }} - {{ posteDateFin }}</td>
                                <td>{{ posteLocation }}</td>
                            </tr>
                        </ng-container>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="column">
            <div class="ui segments">
                <div class="ui top segment">
                    <div class="ui header">Equipes du poste</div>
                </div>
                <div class="ui secondary segment">
                    <table class="ui table">
                        <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Localisation</th>
                            <th>Identifiant Radio</th>
                            <th>Chef d'équipe</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr *ngIf="!equipes.length">
                            <td class="ui header center aligned" colspan="4">
                                RAS !
                            </td>
                        </tr>
                        <ng-container *ngFor="let equipe of equipes">
                            <tr>
                                <td>
                                    {{ equipe.nom }}
                                </td>
                                <td>
                                    {{ equipe.localisation }}
                                </td>
                                <td>
                                    {{ equipe.identifiantRadioEquipe }}
                                </td>
                                <td>
                                    {{ equipe.chefEquipe.nom.toUpperCase() }} {{ equipe.chefEquipe.prenom }}
                                    "{{ equipe.chefEquipe.username }}"
                                </td>
                            </tr>
                        </ng-container>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
